*,
*::before,
*::after
{
    padding: 0;
    margin: 0;
    list-style:none;
	text-decoration: none;
	box-sizing: border-box;
	
}

img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s;
}

a {
    line-height: inherit;
    color: #000;
    text-decoration: none;
    cursor: pointer;
    transition: 0.2s;
}

a:hover, a:focus {
    color: #4f68cc;
}

.map-link{
    text-decoration: underline;
}

p{
    font-size: 1.025rem;
    line-height: 1.5em;
}

.btn {
    display: inline-block;
    padding: 0.5rem 1.5rem;
    min-width: 9.25rem;
    cursor: pointer;
    transition: 0.2s;
    font-size: 16px;
    border-radius: 5px;
    text-align: center;
    color:white;
    background: #22a1ff;
}

a.btn:focus{
    color: white;
}

.mb-show{
    display: none;
}

.pc-show{
    display: block;
}

.btn:hover{
    color: white;
    filter: brightness(1.15);
}

.btn.sty-black{
    background: black !important;
    color: white;
}

.btn.sty-black:hover,a.btn.sty-black:focus{
    color:white;
    background: #4f68cc!important;
}

.btn.sty-blue {
    color: #fff;
    background: #00479d!important;
    transition: 0.5s;
}

.btn.sty-blue:hover {
    color: #fff;
    background-color: #1660cb!important;
    transition: 0.5s;
}

.btn.sty-free{
    background: #ef3a65;
}

.bg-grey{
    background: #f7f7f7;
}

.bg-blue{
    background: #c5d0e8;;
}

.full-width{
    width: 100%;
}

.price{
    font-size: 2rem;
    color:#22a1ff;
    font-weight: 800;
}

.special .price{
    color:#ff881d !important;
}

.free .price{
    color:#ef3a65 !important;
}

.bought .price{
    color:#4f68cc !important;
}

section{
    padding: 3rem 1rem;
}

section.headline-sec,
section.video-left-section{
    padding: 0;
}

section.headline-sec{
    background: linear-gradient(270deg, #c7d5ef 0%, #f1f2f6 50%, #ffffff 100%);
}

.headline-content{
    width: 100%;
    margin: 0 auto;
    max-width: 1920px;
}

.content{
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;
}

.section-title{
    font-family: "Noto Serif TC", serif;
    font-size: 2rem;
    color: black;
    width: fit-content;
    margin: 0 auto;
    font-weight: 600;
    position: relative;
    padding-bottom: 3rem;
}

.section-title::before{
    content: '';
    position: absolute;
    width: 50px;
    height: 7px;
    background: #22a1ff;
    left: 50%;
    transform: translateX(-50%);
    bottom: 1.5rem;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background: #ffffff;
    font-family: 'Noto Sans TC', sans-serif;
    letter-spacing: 1px;
}

html.no-scroll{
    overflow: hidden;
}

header{
    position: fixed;
    background: rgb(255, 255, 255);
    z-index: 9;
    border-bottom: solid 1px #d9d9d9;
    width: 100%;
}

#OpenNav{
    display: none;
}

.mb-menu-list{
    display: none;
}

.head-logo{
    display: block;
    width: 120px;
}

header .right-items{
    display: flex;
    /* gap: 15px; */
    font-size: 16px;
}

.right-items li{
    position: relative;
}

header .right-items .nav-icon{
    font-size: 24px;
    cursor: pointer;
    padding: 15px 15px;
    border-radius: 5px
}

header .right-items .nav-icon.active{
    background: #4f68cc31;
    color: #4f68cc;
}

header .right-items p{
    padding: 0px 15px;
}

.head-container{
    width: 100%;
    max-width: 1675px;
    padding: 10px 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
}

.member_icon .dot{
    position: absolute;
    width: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #4f68cc;
    top: -5px;
    right: 12px;
}

.cart{
    position: relative;
}

.cart .cart-num{
    position: absolute;
    background: #22a1ff;
    color: white;
    width: 23px;
    height: 23px;
    border-radius: 50%;
    text-align: center;
    font-size: 13px;
    font-weight: 600;
    padding-top: 2px;
    top: -13px;
    right: 0px;
}

.ori-price{
    color: #727272;
    font-weight: 500;
    text-decoration: line-through;
}

.ori-price span{
    text-decoration: line-through;
}

main{
    flex-grow: 1;
    z-index: 1;
    padding-top: 74.3px;
}

.headSwiper.swiper {
    width: 100%;
    height: 100%;
}

.headSwiper .swiper-slide {
    text-align: center;
    font-size: 18px;
    /* width: 45%; */
    /* background: linear-gradient(270deg, #c7d5ef 0%, #f1f2f6 50%, #ffffff 100%); */
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.headSwiper .swiper-slide:hover h2,
.headSwiper .swiper-slide:hover p{
    color: initial;
}

.headSwiper .swiper-slide:hover .btn.sty-black{
    background: #4f68cc;
}

.headSwiper .swiper-button-next:after,
.headSwiper .swiper-rtl .swiper-button-prev:after,
.headSwiper .swiper-button-prev:after,
.headSwiper .swiper-rtl .swiper-button-next:after {
    font-size: 24px;
    color: white;
    font-weight: 500;
}

.headSwiper .swiper-button-next,
.headSwiper .swiper-rtl .swiper-button-prev {
    background: #0000006e;
    width: 35px;
    right: 0;
}

.headSwiper .swiper-button-prev,
.headSwiper .swiper-rtl .swiper-button-next {
    background: #0000006e;
    width: 35px;
    left: 0;
}

.headSwiper .swiper-pagination-bullet{
    background: white;
    opacity: 1;
}

.headSwiper .swiper-pagination-bullet-active{
    background: #4f68cc;
}

.headline-slide-detail{
    width: 35%;
    padding: 0 3rem;
}

.headline-slide-detail h2 {
    position: relative;
    padding-bottom: 3rem;
}

.headline-slide-detail h2 span{
    font-family: "Noto Serif TC", serif;
    font-size: 2.5rem;
    display: block;
    display: -webkit-box;
    overflow: hidden;
    max-width: 100%;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    height: 3em;
}

.headline-slide-detail h2::before{
    content: '';
    position: absolute;
    width: 50px;
    height: 7px;
    background: #22a1ff;
    bottom:1.2rem;
    left: 50%;
    transform:translateX(-50%);
}

.headline-slide-detail p{
    margin-bottom: 3rem;
    display: block;
    display: -webkit-box;
    overflow: hidden;
    max-width: 100%;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    height: 7.5em;
}

.headline-slide-img{
    margin: 2rem 0 3.5rem 0;
    position: relative;
    width: 50%;
    aspect-ratio: 195 / 112;
    /* overflow: hidden; */
    transition: 0.5s;
}

.headline-slide-img::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(308deg, #4f68cc 0%, #c9bad9 40%,#4f68cc00 100%);
    top: 15px;
    right: -20px;
    z-index: -2;
    
}

/* .headSwiper .swiper-slide img{
    transition: 0.5s;
} */

.headSwiper .swiper-slide:hover .headline-slide-img{
    transform: scale(1.02);
}

.headSwiper .swiper-pagination{
    text-align: right;
    padding-right: 6rem;
}

.class-list{
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem 1rem ;
    margin-right: -1rem;
}

.class-card{
    width: calc(100% / 3 - 1rem);
    min-width: 245.5px;
    border-radius: 1rem;
    overflow: hidden;
    box-shadow: 0 0 5px 0 rgba(0,0,0,0.15);
    background: white;
}

.card-detail{
    padding: 0.5rem 1rem 1.5rem 1rem;
}

.class-tag{
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.class-tag .tag a{
    font-size: 14px;
    font-weight: 500;
    color: #22a1ff;
    width: 100%;
    padding: 3px 10px;
    display: block;
    border-radius: 40px;
    border: solid 1px #22a1ff;
    cursor:unset;
}

/* .class-tag .tag:hover a{
    background: #22a1ff;
    color: white;
} */

.card-detail div{
    padding-top: 0.5rem;
}

.card-detail .title{
    font-size: 18px;
    font-weight: 600;
    display: block;
    display: -webkit-box;
    overflow: hidden;
    max-width: 100%;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-height: 1.5em;
    height: 3em;
    padding-top: 0;
    margin-top: 0.5em;
}

.card-detail .teacher{
    color: #727272;
    font-weight: 500;
}

.card-detail .price{
    font-weight: 800;
    font-size: 2rem;
    color:#22a1ff;
}

.class-card.free .card-detail .price{
    color: #ef3a65;
    font-size: 1.7rem;
    height: 54px;
}

.class-card.special .card-detail .price{
    color: #ff881d;
}

.card-detail .original-price{
    font-size: 16px;
    color: #727272;
    margin-left: 10px;
    font-weight: 500;
    text-decoration: line-through;
}

.cardSwiper{
    padding: 0 0.5rem 1rem 0.5rem ;
    padding-top: 50px;
}

.cardSwiper .swiper-button-next:after, 
.cardSwiper .swiper-button-prev:after {
    font-size: 18px;
    font-weight: 600;
    color: black;
}

.cardSwiper .swiper-button-next, 
.cardSwiper .swiper-rtl .swiper-button-prev {
    width: 40px;
    height: 40px;
    background: #dedede;
    border-radius: 50%;
    top: 25px;
}

.cardSwiper .swiper-button-prev, 
.cardSwiper .swiper-rtl .swiper-button-next {
    width: 40px;
    height: 40px;
    background: #dedede;
    border-radius: 50%;
    top: 25px;
    right: 55px;
    left: auto;
}

.question-list{
    width: 100%;
    margin: 0 auto;
    padding: 0 5rem;
    font-size: 1.1rem;
}

.question-list li{
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 0 5px 0 rgba(0,0,0,0.15);
}

.question-list li div{
    padding: 0.6rem 2rem;
}

.question-list li .question{
    padding: 0.6rem 2rem 0.6rem 2rem;
}

.question-list li{
    margin-bottom: 1rem;
}

.question-list li *{
    text-align: left;
}

.question-list li a{
    text-decoration: underline;
}

.question-list .question{
    background: #ffffff;
    color:rgb(0, 0, 0);
    position: relative;
    cursor: pointer;
    /* font-size: 1.3rem; */
}

.question-list .question i{
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(0deg);
    transition:  0.2s ;
    width: 20px;
    height: auto;
    filter: brightness(10);
}

.question-list .answer{
    background: #f7f7f7;
    display: none;
}
.question-list .answer p{
    text-align: left;
    /* font-size: 1.3rem; */
}

.question.rotate i{
    transform: translateY(-50%) rotate(180deg);
}

.about-us{
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-us-img{
    width: 35%;
    border-radius: 15px;
    overflow: hidden;
    z-index: 2;
    aspect-ratio: 399 / 213;
}

.about-detail{
    width: 45%;
    background: white;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.15);
    z-index: 3;
    padding: 1rem;
    margin-left: -2rem;
    margin-top: 5rem;
    border-radius: 10px;
}

/* footer */
footer{
    flex-shrink: 0;
}

.object-fit::before, .object-fit--contain::before {
    content: '';
    display: block;
    padding-top: 100%;
}

.object-fit, .object-fit--contain {
    position: relative;
    display: block;
    overflow: hidden;
}

.object-fit img, .object-fit--contain img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100%;
    -o-object-position: center center;
    object-position: center center;
    background-position: center center;
}

footer .container {
    margin: 0 auto;
    width: 88.75rem;
    max-width: 100%;
}


.hide-medium {
    display: block;
}

@media print, screen and (max-width: 63.99875em) {
    .hide-medium {
        display: none !important;
    }
}

.footer_top {
    display: flex;
    align-items: center;
    padding: 1.875rem 0;
    border-top: 0.0625rem solid #d9d9d9;
    border-bottom: 0.0625rem solid #d9d9d9;
}

.footer_top-box {
    display: flex;
    align-items: center;
    width: 50%;
}

.footer_top-box:first-of-type {
    justify-content: flex-end;
    padding-right: 3.125rem;
    border-right: 0.0625rem solid #222;
}

.f-logo img {
    width: 63px;
    aspect-ratio: 63/45;
}


.sec-lr {
    padding-right: 1.25rem;
    padding-left: 1.25rem
}

@media print,screen and (max-width: 39.99875em) {
    .sec-lr {
        padding-right: 1rem;
        padding-left: 1rem
    }
}

@media screen and (min-width: 75em) {
    .footer_top-box:first-of-type {
        padding-right: 4rem;
    }
}

.footer_top-box:last-of-type {
    padding-left: 3.125rem;
}

@media screen and (min-width: 75em) {
    .footer_top-box:last-of-type {
        padding-left: 4rem;
    }
}

.footer_top-box .f-p {
    font-size: 1.125rem;
    letter-spacing: 0.05em;
}

.footer_top-box .media_box {
    margin-left: 2.125rem;
}

@media screen and (min-width: 75em) {
    .footer_top-box .media_box {
        margin-left:3rem;
    }
}

.footer_top-box .media_icon {
    width: 2.75rem;
}

.footer_top-box .media_icon:not(:last-of-type) {
    margin-right: 1.4375rem;
}

@media screen and (min-width: 75em) {
    .footer_top-box .media_icon:not(:last-of-type) {
        margin-right: 2.875rem;
    }
}

.footer_top-box .media_icon .object-fit {
    width: 2.75rem;
}

.footer_top-box .btn {
    display: inline-block;
    margin-left: 2.03125rem;
}

@media screen and (min-width: 75em) {
    .footer_top-box .btn {
        margin-left: 2.25rem;
    }
}

.footer_bottom {
    padding-top: 1.875rem;
    padding-bottom: 5.25rem;
    background-color: #f1f2f6;
}

.footer_bottom .f-logo {
    text-align: center;
}

@media print, screen and (min-width: 64em) {
    .footer_bottom .f-logo {
        text-align: initial;
    }
}

.footer_bottom .f-logo .object-fit {
    width: 3.9375rem;
}

.footer_bottom .f-logo .object-fit::before {
    padding-top: 71.42857%;
}

.footer_bottom-box {
    display: flex;
    justify-content: center;
    margin-top: 1.5rem;
}

@media print, screen and (min-width: 64em) {
    .footer_bottom-box {
        /* justify-content: flex-start; */
    }
}

.footer_bottom-left {
    display: flex;
}

.footer_bottom-left .fl-box {
    margin-right: 3.125rem;
    border-top: 0.0625rem solid #222;
    transition: 0.5s;
}

@media screen and (min-width: 75em) {
    .footer_bottom-left .fl-box {
        margin-right: 6.25rem;
    }
}

.footer_bottom-left .fl-box .f-title {
    padding-top: 0.625rem;
    padding-bottom: 1rem;
    font-size: 1rem;
    letter-spacing: 0.05em;
    white-space: nowrap;
}

.footer_bottom-left .fl-box .f-link {
    display: block;
    margin-right: 2.09375rem;
    font-size: 0.9375rem;
    letter-spacing: 0.05em;
    white-space: nowrap;
    color: #000;
    transition: 0.5s;
}

@media screen and (min-width: 75em) {
    .footer_bottom-left .fl-box .f-link {
        margin-right: 4.1875rem;
    }
}

.footer_bottom-left .fl-box .f-link:not(:last-of-type) {
    margin-bottom: 1rem;
}

.footer_bottom-left .fl-box .f-link:hover {
    color: #1660cb;
}

.footer_bottom-left .fl-box .f-link_grid {
    display: flex;
}

.footer_bottom-right .fr-top {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-bottom: 1.25rem;
    padding-bottom: 1.25rem;
    border-bottom: 0.0625rem solid #d9d9d9;
}

@media print, screen and (min-width: 64em) {
    .footer_bottom-right .fr-top {
        justify-content: flex-start;
        margin-bottom: 0;
        padding-bottom: 0;
        border-bottom: 0;
    }
}

.footer_bottom-right .fr-a {
    position: relative;
    font-size: 1rem;
    letter-spacing: 0.05em;
}

.footer_bottom-right .fr-a:not(:last-of-type) {
    margin-right: 1rem;
    padding-right: 1rem;
}

.footer_bottom-right .fr-a:not(:last-of-type)::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 0;
    width: 0.25rem;
    height: 0.25rem;
    background-color: #222;
    border-radius: 50%;
    transform: translateY(-50%);
}

@media print, screen and (min-width: 64em) {
    .footer_bottom-right .fr-a:not(:last-of-type)::before {
        width: 0.0625rem;
        height: 0.75rem;
        background-color: rgba(34, 34, 34, 0.3);
    }
}

.footer_bottom-right .fr-medium {
    margin: 1.125rem 0;
}

.footer_bottom-right .fr-p {
    display: flex;
    flex-direction: column;
    margin-top: 1rem;
    font-size: 0.9375rem;
    letter-spacing: 0.05em;
}

@media print, screen and (min-width: 40em) {
    .footer_bottom-right .fr-p {
        display: block;
        margin-top: 0.375rem;
    }
}

.footer_bottom-right .fr-p:not(:last-of-type) {
    margin-bottom: 0.375rem;
}

.footer_bottom-right .fr-bottom {
    text-align: center;
}

@media print, screen and (min-width: 64em) {
    .footer_bottom-right .fr-bottom {
        text-align: left;
    }
}

.footer_bottom-right .fr-bottom .fr-a {
    padding: 0;
    font-size: 0.9375rem;
    letter-spacing: 0.05em;
}

.footer_bottom-right .fr-bottom .fr-a:not(:last-of-type) {
    margin-right: 1.25rem;
}

.footer_bottom-right .fr-bottom .fr-a::before {
    content: none;
}

.media_box {
    display: flex;
    align-items: center;
}

@media print, screen and (max-width: 63.99875em) {
    .media_box.mobile .img:first-of-type {
        opacity: 0;
    }

    .media_box.mobile .img:last-of-type {
        opacity: 1;
    }
}

.media_icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

.media_icon .img:last-of-type {
    opacity: 0;
}

.media_icon:hover .img:first-of-type {
    opacity: 0;
    transition: opacity 0.4s ease-in;
}

.media_icon:hover .img:last-of-type {
    opacity: 1;
    transition: opacity 0.4s ease-in;
}

.mobile-ul {
    display: none;
}

@media print, screen and (max-width: 63.99875em) {
    .mobile-ul {
        padding-right: 2rem;
        padding-left: 2rem;
    }
}

.mobile-ul .mobile-li {
    display: block;
    margin-bottom: 0.75rem;
    font-size: 0.875rem;
    font-weight: 400;
}

.mobile-ul .mobile-li:first-of-type {
    margin-top: 0.4375rem;
}

.js-mobile-box.bg {
    position: relative;
    background-color: #f1f2f6;
}

.js-mobile-box.bg::before {
    content: '';
    position: absolute;
    top: 0;
    left: -1rem;
    width: 1rem;
    height: 100%;
    background-color: #f1f2f6;
}

@media print, screen and (min-width: 40em) {
    .js-mobile-box.bg::before {
        left: -1.25rem;
        width: 1.25rem;
    }
}

.js-mobile-box.bg::after {
    content: '';
    position: absolute;
    top: 0;
    right: -1rem;
    width: 1rem;
    height: 100%;
    background-color: #f1f2f6;
}

@media print, screen and (min-width: 40em) {
    .js-mobile-box.bg::after {
        right: -1.25rem;
        width: 1.25rem;
    }
}

.js-mobile-box.bg .menu-link::before {
    content: none;
}

.js-mobile-box.bg .menu-link .be-icon {
    transform: rotate(180deg);
    transition: 0.5s;
}


/* go-to-top */
.go-to-top {
    position: fixed;
    right: 20px;
    bottom: 35px;
    opacity: 0;
    transition: 0.5s;
    z-index: 2;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 0;
    cursor: pointer;
    box-shadow: 1px 1px 4px 1px rgba(0, 0, 0, 0.1);
    transition: 0.5s;
    background: #ffffff;
    border: solid 1.5px #ccc;
}

.go-to-top.see{
    opacity: 0.85 !important;
}

.go-to-top i{
    font-size: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.go-to-top:hover{
    transform: scale(1.1);
}

/* alert */
.alert{
    position: fixed;
    background: white;
    color: black;
    left: 50%;
    top: -90px;
    transform: translate(-50%);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.15);
    z-index: 99;
    padding: 1rem 1.5rem;
    font-size: 18px;
    border-radius: 5px;
    display: flex;
    gap: 10px;
    align-items: center;
    transition: 0.5s;
}

.alert.show{
    top:30px;
}

.alert i{
    color: green;
    font-size: 24px;
}

/* dropdown menu */
.header-menu-dropdown{
    position: absolute;
    width: 400px;
    background: white;
    right: 0px;
    border-radius: 10px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.15);
    top: 40px;
    display: none;
}

.dropdown-bottom{
    padding: 1rem 1.5rem;
    border-top: solid 1px #d9d9d9;
}

.dropdown-total{
    display: flex;
    justify-content: space-between;
}

.header-menu-dropdown .btn{
    background: #22a1ff;
    color:white;
    width: 100%;
    margin-top: 1rem;
}

.dropdown-content .bundle-content{
    padding: 0 1.5rem;
}

.dropdown-content .bundle-content .bundle-item{
    display: flex;
    gap: 10px;
    padding: 1rem 0;
}

.bundle-item a{
    cursor:auto;
}

.dropdown-content .bundle-content .bundle-item:hover img{
    transform: scale(1);
}

.dropdown-content .bundle-content .bundle-item a:hover{
    color: black;
}

.dropdown-content .bundle-content .bundle-item a{
    display: flex;
    gap:10px;
    padding: 0;
    align-items: flex-start;
    cursor: pointer;
}

.dropdown-content .bundle-content .bundle-item{
    border-bottom: solid 1px #d9d9d9;
}

.dropdown-content .bundle-content .bundle-item:last-of-type{
    border-bottom:none;
}

.dropdown-content .bundle-content .bundle-item .bundle-item-img{
    width: 130px;
    border-radius: 7px;
    overflow: hidden;
    aspect-ratio: 89/50;
    position: relative;
}

.dropdown-content .bundle-content .bundle-item .bundle-item-detail{
    flex: 1;
}

.dropdown-content .bundle-content .bundle-item .bundle-item-detail .price{
    font-size: 18px;
}

.dropdown-content .bundle-content .bundle-item.special .bundle-item-img:after{
    content: '優惠中';
    position: absolute;
    width: fit-content;
    padding:5px;
    bottom: 0;
    right:0;
    background:#ff8d26;
    font-size: 14px;
    border-radius: 5px 0 0 0;
    color: white;
}

.menu-list-top{
    display: flex;
    gap: 10px;
    padding:1rem  1.5rem;
    border-bottom:solid 1px #d9d9d9;
    align-items: center;
}

.menu-list-top .user-detail .name{
    font-size: 1.5rem;
    font-weight: 600;
}

.menu-list-top .user-img{
    width: 80px;    
    aspect-ratio: 1;
    border-radius: 50%;
    overflow: hidden;
    background: #ccc;
}

.header-menu-dropdown i{
    padding: 0;
    background: none;
    font-size: 24px;

}

.header-menu-dropdown ul li{
    padding: 0.75rem 1.5rem;
    /* border-bottom: solid 1px #dedede; */
    font-size: 18px;
}

.header-menu-dropdown ul li a{
    display: flex;
    align-items: center;
    gap: 5px;
}

.menu-logout{
    padding: 1rem 1.5rem;
    border-top: solid 1px #ccc;
}

.menu-logout a{
    display: flex;
    gap: 5px;
    align-items: center;
}

.head-container .right-items li:has(.icon-person_line.nav-icon) .header-menu-dropdown{
    width: 350px;
}

.head-container .right-items li:has(.icon-person_line.nav-icon) .header-menu-dropdown ul{
    padding: 0.75rem 0;
}

.course-tab-section{
    padding-top: 2rem;
}

.course-tab-section .tab-list{
    display: flex;
    justify-content: center;
    border-bottom: solid 1px #d9d9d9;
}

.course-tab-section .tab-list li{
    width: 25%;
    text-align: center;
    padding: 15px 0;
    position: relative;
    cursor: pointer;
}

.course-tab-section .tab-list li a{
    display: block;
    width: 100%;
    height: 100%;
}

.course-tab-section .tab-list li:after{
    content: '';
    width: 0px;
    height: 5px;
    position: absolute;
    left: 50%;
    bottom: 0;
    background: #4f68cc;
    transform: translateX(-50%);
    transition: 0.5s;
}

.course-tab-section .tab-list li.active:after{
    width: 70px;
}

/* .course-tab-section .tab-list li:hover a{
    color: black
} */

.course-tab-section .tab-list li:hover:after{
    width: 70px;
}

.tab-content{
    padding: 3rem 1rem;
    display: none;
}

.show-video-list .tab-content{
    display: none;
}

.loading{
    width: 100%;
    /* height: 100%; */
    height: 100vh;
    overflow: hidden;
    position: fixed;
    background: #ffffffb0;
    z-index: 99;
    display: none;
}

.loading img{
    width: 150px;
    height: 150px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}


@media print, screen and (max-width: 1433px) {
    .headline-slide-detail h2 span{
        font-size: 2rem;
    }

    .headline-slide-detail {
        width: 45%;
        padding: 0 3rem;
    }

    .headSwiper .swiper-pagination {
        text-align: right;
        padding-right: 1rem;
    }
}

@media print, screen and (max-width: 1024px) {
    .btn {
        padding: 0.5rem 1.25rem;
        min-width: 10rem;
        height: 2.75rem;
        text-align: center;
        letter-spacing: 0.05em;
    }

    .headSwiper .swiper-slide{
        flex-direction: column-reverse;
    }
    .headline-slide-detail{
        width: 100%;
    }

    .headline-slide-img{
        margin:0;
        width: 100%;
        /* aspect-ratio: 281 / 153; */
        overflow: hidden;
    }

    .headline-slide-detail {
        padding: 2rem 3rem 3rem 3rem;
    }

    .headSwiper .swiper-pagination {
        text-align: center;
        padding-right: 0;
    }

    .headline-slide-img::before{
        display: none;
    }

    .headSwiper .swiper-button-next, 
    .headSwiper .swiper-button-prev {
        top: 25%;
    }

    .about-us {
        flex-direction: column;
    }

    .about-us-img {
        width: 70%;
    }

    .about-detail {
        width: 70%;
        margin-left: 0rem;
        margin-top: 1rem;
    }
}

@media print, screen and (max-width: 820px) {
    .mb-show{
        display: block;
    }
    .pc-show{
        display: none;
    }
    #OpenNav{
        display: none;
    }

    .mb-menu-list{
        display: block;
        width: 100%;
        /* min-height: calc(100vh - 63px); */
        background: white;
        position: absolute;
        top: 63px;
        /* left: 0; */
        left: -100%;
        transition: 0.5s;
        
    }

    .menu-list-top{
        display: flex;
        align-items: center;
        gap: 15px;
        padding: 20px 15px;
        border-bottom: solid 1px #ccc;
    }

    .menu-list-top .user-img{
        width: 70px;
        aspect-ratio: 1;
        border-radius: 50%;
        overflow: hidden;
        background: #ccc;
    }

    .menu-list-top .user-detail .name{
        font-size: 1.5rem;
        font-weight: 600;
    }

    .mb-menu-list li{
        text-align: left;
        padding: 15px;
        font-size: 16px;
    }
/* 
    .mb-menu-list li:first-of-type{
        border-bottom: solid 1px #ccc;
        padding: 15px;
    } */

    .mb-menu-list li a{
        display: block;
        width: 100%;
        display: flex;
        align-items: center;
    }

    .mb-menu-list li a i{
        font-size: 24px;
        padding-right: 5px;
    }

    .mb-menu-list.move{
       left: 0;
       box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.15);
    }

    .mb-menu-list.member{
        top: 100px;
        left: 0;
        opacity: 0;
        z-index: -1;
        visibility: hidden;
    }

    .mb-menu-list.member.move{
        top: 63px;
        opacity: 1;
        z-index: 9;
        visibility: visible;
    }

    .mb-menu-logout{
        border-top: solid 1px #ccc;
        padding: 15px;
    }

    .mb-menu-logout a{
        display: flex;
        align-items: center;
    }

    .mb-menu-logout a i{
        font-size: 24px;
        padding-right: 10px;
    }

    header .right-items li .nav-txt{
        display: none;
    }

    .menu-icon {
		width: 1.5rem;
		height: 35px;
		top: 14px;
		left: 15px;
		position: fixed;
		display: block;
		z-index: 99;
	}

	.menu-icon .resp-menu-icon {
		position: absolute;
		top: 50%;
		height: 2.5px;
		border-radius: 10px;
		width: 100%;
		background: #000000;
		-moz-transition: all 0.2s ease-in-out 0.2s;
		-o-transition: all 0.2s ease-in-out 0.2s;
		-webkit-transition: all 0.2s ease-in-out;
		-webkit-transition-delay: 0.2s;
		transition: all 0.2s ease-in-out 0.2s;
		-moz-transform: translateY(-50%);
		-ms-transform: translateY(-50%);
		-webkit-transform: translateY(-50%);
		transform: translateY(-50%);
	}
	.menu-icon .resp-menu-icon:before, .menu-icon .resp-menu-icon:after {
		position: absolute;
		content: '';
		left: 0;
		width: 100%;
		height: 100%;
		border-radius: 10px;
		background: #000000;
		-moz-transition: top 0.2s ease-in-out 0.2s, bottom 0.2s ease-in-out 0.2s, -moz-transform 0.2s ease-in-out 0s;
		-o-transition: top 0.2s ease-in-out 0.2s, bottom 0.2s ease-in-out 0.2s, -o-transform 0.2s ease-in-out 0s;
		-webkit-transition: top 0.2s ease-in-out, bottom 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
		-webkit-transition-delay: 0.2s, 0.2s, 0s;
		transition: top 0.2s ease-in-out 0.2s, bottom 0.2s ease-in-out 0.2s, transform 0.2s ease-in-out 0s;
	}
	.menu-icon .resp-menu-icon:before {
		top: -280%;
	}
	.menu-icon .resp-menu-icon:after {
		bottom: -280%;
	}

	.menu-icon.close .resp-menu-icon {
		background: transparent;
	}

	.menu-icon.close .resp-menu-icon:before, 
	.menu-icon.close .resp-menu-icon:after {
		-moz-transition: top 0.2s ease-in-out, bottom 0.2s ease-in-out, -moz-transform 0.2s ease-in-out 0.2s;
		-o-transition: top 0.2s ease-in-out, bottom 0.2s ease-in-out, -o-transform 0.2s ease-in-out 0.2s;
		-webkit-transition: top 0.2s ease-in-out, bottom 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
		-webkit-transition-delay: 0s, 0s, 0.2s;
		transition: top 0.2s ease-in-out, bottom 0.2s ease-in-out, transform 0.2s ease-in-out 0.2s;
	}
	.menu-icon.close .resp-menu-icon:before {
		top: 0;
		-moz-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		-webkit-transform: rotate(45deg);
		transform: rotate(45deg);
	}
	.menu-icon.close .resp-menu-icon:after {
		bottom: 0;
		-moz-transform: rotate(-45deg);
		-ms-transform: rotate(-45deg);
		-webkit-transform: rotate(-45deg);
		transform: rotate(-45deg);
	}

    .head-logo {
        display: block;
        width: 90px;
        position: relative;
        left: 0;
        /* transform: translateX(-50%); */
    }
    
    main {
        padding-top: 63px;
    }

    .headline-slide-detail {
        padding-bottom: 4rem;
    }

    .headSwiper .swiper-pagination {
        text-align: center;
        padding-right: 0;
    }

    .class-card {
        width: calc(100% / 2 - 1rem);
    }

    body:has(.bottom-fixed) .go-to-top{
        bottom: 120px;
    }

    
}

@media print, screen and (max-width: 680px) {
    .headSwiper .swiper-button-next, 
    .headSwiper .swiper-button-prev {
        top: 20%;
    }
}

@media print, screen and (max-width: 540px) {
    .btn {
        min-width: 10rem;
    }

    .headSwiper .swiper-slide {
        background: linear-gradient(360deg, #c7d5ef 0%, #f1f2f6 50%, #ffffff 100%);
    }

    .headSwiper .swiper-pagination {
        bottom: 1.5rem;
    }

    .headline-slide-detail h2{
        padding-top: 1rem;
    }

    .headline-slide-detail h2 span{
        font-size: 1.8rem;
    }

    .headline-slide-detail {
        padding: 0 1rem;
        padding-bottom: 4rem;
    }

    .headline-slide-detail p {
        text-align: justify;
        display: block;
        display: -webkit-box;
        overflow: hidden;
        max-width: 100%;
        text-overflow: ellipsis;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 6;
        height: 9em;
    }

    section {
        padding: 2rem 1rem;
    }

    .section-title {
        font-size: 1.5rem;
        padding-bottom: 2.5rem;
    }

    .section-title::before {
        width: 40px;
        bottom: 1.25rem;
    }

    header .right-items i {
        font-size: 22px;
        cursor: pointer;
    }

    .headSwiper .swiper-button-next,
    .headSwiper .swiper-rtl .swiper-button-prev,
    .headSwiper .swiper-button-prev,
    .headSwiper .swiper-rtl .swiper-button-next {
        top: 15%;
    }

    .cart .cart-num {
        width: 20px;
        height: 20px;
        padding-top: 0px;
        top: -12px;
        right: 2px;
    }

    .class-card {
        width: 100%;
        display: flex;
        align-items: flex-start;
        box-shadow: none;
        background: #f7f7f7;
        border-radius: inherit;
    }

    .class-card  .card-img{
        width: 100%;
        aspect-ratio: 23/13;
    }

    .class-list {
        margin-right: 0rem;
    }

    .class-card {
        width: 100%;
        border-bottom: solid 1px #ccc;
    }

    .cardSwiper {
        padding: 0;
    }

     .cardSwiper .swiper-wrapper{
        flex-direction: column;
        gap: 1.5rem 1rem;
     }

    .cardSwiper .swiper-button-next,.cardSwiper .swiper-button-prev{
        display: none;
    }

    .class-card  .card-img{
        width: 45%;
        border-radius: 7px;
        overflow: hidden;
    }

    .card-detail {
        width: 55%;
        padding: 0 0rem 1rem 1rem;
    }

    .class-card.free .card-detail .price {
        font-size: 1.2rem;
        height: auto;
    }

    .card-detail .original-price {
        font-size: 14px;
    }
    .card-detail .price {
        font-size: 19px;
    }
    
    .card-detail .title{
        position: relative;
        display: block;
        display: -webkit-box;
        overflow: hidden;
        max-width: 100%;
        text-overflow: ellipsis;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
    }

    .question-list {
        padding: 0 0rem;
    }

    .question-list li .question {
        padding: 0.6rem 2rem 0.6rem 1rem;
        font-size: 1.125rem;
    }

    .question-list .question i {
        right: 10px;
    }

    .question-list li div {
        padding: 0.6rem 1rem;
    }

    .question-list .answer p {
        font-size: 1.125rem;
    }
    .about-us {
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .about-us-img {
        width: 100%;
    }

    .about-detail {
        width: 100%;
        margin-left: 0rem;
        margin-top: 1rem;
    }
}

/* form-popup */
.form-popup{
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    top:0;
    left: 0;
    z-index: 9;
    display: none;
    /* overflow-y: scroll; */
}

.popup-bg{
    width: calc(100% - 3rem);
    max-width: 780px;
    margin: 0 auto;
    position: relative;
}
.small-popup-bg{
    width: calc(100% - 3rem);
    max-width: 480px;
    margin: 0 auto;
    position: relative;
}

.popup-content{
    width: 100%;
    background: white;
    border-radius: 10px;
    margin-top: 7rem;
    position: relative;
    overflow: hidden;
    max-height: 85vh;
    overflow-y: scroll;
    transition: 0.5s;
}

.popup-content.show{
    margin-top: 5rem;
}

.popup-content::-webkit-scrollbar {
    width: 8px; 
    height: 10px; 
}

.popup-content::-webkit-scrollbar-track {
    background: #f0f0f0; 
    border-radius: 6px; 
}

.popup-content::-webkit-scrollbar-thumb {
    background: #969696; 
    border-radius: 6px;  
    border: 2px solid #f0f0f0;
}

.popup-content::-webkit-scrollbar-thumb:hover {
    background: #c5c5c5;
}

.popup-head{
    text-align: center;
    font-family: "Noto Serif TC", serif; 
    font-weight: 600;
    padding: 1rem;
    background: #f7f7f7;
}
.popup-head h2{
    font-size: 32px;
    letter-spacing: 10px;
}

.popup-head .decor-subtitle{
    color: #ef3a65;
    font-weight: 800;
    display: flex;
    justify-content: center;
    align-items: center;
}

.popup-head .decor-subtitle::before,
.popup-head .decor-subtitle::after{
    content: '';
    position: relative;
    width: 50px;
    height: 1px;
    background: #ef3a65;
    margin: 10px;
}
.popup-close{
    position: absolute;
    right: -10px;
    top: -15px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: #969696;
    color: white;
    text-align: center;
    font-size: 20px;
    z-index: 9;
    transition: 0.5s;
}

.popup-close:hover{
    background: #4f68cc;
}

    form .popup-body{
    padding: 1rem;
    margin: 0 auto;
    width: 100%;
    max-width: 600px;
}

.form-item{
    padding: 0.7rem 0;
    display: flex;
    align-items: center;
    gap:10px;
}

.form-item label{
    width: 15%;
    text-align: right;
}

.form-item input,.form-item select{
    font-size: 16px;
    padding: 10px;
    border-radius: 5px;
    border: solid 1px #dadada;
    flex-grow: 1;
}

.form-input-list{
    display: flex;
    align-items: center;
    gap: 15px;
}

.form-input-list li{
    display: flex;
    gap: 5px;
}

.form-input-list li label{
    white-space: nowrap;
    width: unset;
}

.popup-body{
    padding: 1rem;
}

.red{
    color: red;
}

.popup-bottom{
    display: flex;
    justify-content: center;
    align-items: center;
    padding:1rem 1rem 3rem 1rem;
}

.popup-bottom .btn{
    border:none;
}

@media print, screen and (max-width: 540px) {
    .form-popup{
        overflow-y: scroll;
    }

    .popup-content {
        max-height: 85vh;
        overflow-y: scroll;
        border-radius: 5px;
    }

    .popup-head h2 {
        font-size: 28px;
    }

    .form-item{
        flex-direction: column;
    }
    .form-item label{
        width: 100%;
        text-align: left;
    }
    .form-item input{
        width: 100%;
    }

    .form-input-list{
        width: 100%;
    }
    .form-item input, .form-item select{
        width: 100%;
    }
}